Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.vh3.ai/llms.txt

Use this file to discover all available pages before exploring further.

Vehicles

Fleet vehicles. Auth: X-API-Key header. Base: https://api.vh3connect.io/api:YdihQNr3.

Shared parameters

ParamTypeDescription
pageNumberintegerPage index (1-based)
pageSizeintegerItems per page (default 100, max 1000)
sortBystringSort field (endpoint-specific)
directionenumascending or descending

Vehicles

Fleet.

GET /vehicles/vehicle_get

Get vehicle.
curl -G "https://api.vh3connect.io/api:YdihQNr3/vehicles/vehicle_get" \
  -H "X-API-Key: your-api-key" \
  --data-urlencode "vehicleId=50"

POST /vehicles/create

Create vehicle.
curl -X POST "https://api.vh3connect.io/api:YdihQNr3/vehicles/create" \
  -H "X-API-Key: your-api-key" \
  -H "Content-Type: application/json" \
  -d '{
  "registration": "AB12 CDE"
}'

POST /vehicles/update

Update vehicle.
curl -X POST "https://api.vh3connect.io/api:YdihQNr3/vehicles/update" \
  -H "X-API-Key: your-api-key" \
  -H "Content-Type: application/json" \
  -d '{
  "vehicleId": 50
}'

POST /vehicles/list

List vehicles.
curl -X POST "https://api.vh3connect.io/api:YdihQNr3/vehicles/list" \
  -H "X-API-Key: your-api-key" \
  -H "Content-Type: application/json" \
  -d '{
  "pageNumber": 1,
  "pageSize": 50
}'